
/*
 * HTML5 Boilerplate
 *
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */


/* =============================================================================
   HTML5 element display
   ========================================================================== */

article, aside, details, figcaption, figure, footer, header, hgroup, nav, section { display: block; }
audio[controls], canvas, video { display: inline-block; *display: inline; *zoom: 1; }


/* =============================================================================
   Base
   ========================================================================== */

/*
 * 1. Correct text resizing oddly in IE6/7 when body font-size is set using em units
 *    http://clagnut.com/blog/348/#c790
 * 2. Force vertical scrollbar in non-IE
 * 3. Remove Android and iOS tap highlight color to prevent entire container being highlighted
 *    www.yuiblog.com/blog/2010/10/01/quick-tip-customizing-the-mobile-safari-tap-highlight-color/
 * 4. Prevent iOS text size adjust on device orientation change, without disabling user zoom
 *    www.456bereastreet.com/archive/201012/controlling_text_size_in_safari_for_ios_without_disabling_user_zoom/
 */

html { font-size: 100%; overflow-y: scroll; -webkit-overflow-scrolling: touch; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; }

body { margin: 0; font-size: 13px; line-height: 1.231; }

body, button, input, select, textarea { font-family: sans-serif; color: #222; }

/* 
 * These selection declarations have to be separate
 * No text-shadow: twitter.com/miketaylr/status/12228805301
 * Also: hot pink!
 */

::-moz-selection { background: #fe57a1; color: #fff; text-shadow: none; }
::selection { background: #fe57a1; color: #fff; text-shadow: none; }


/* =============================================================================
   Links
   ========================================================================== */

a { color: #00e; }
a:visited { color: #551a8b; }
a:focus { outline: thin dotted; }

/* Improve readability when focused and hovered in all browsers: people.opera.com/patrickl/experiments/keyboard/test */
a:hover, a:active { outline: 0; }


/* =============================================================================
   Typography
   ========================================================================== */

abbr[title] { border-bottom: 1px dotted; }

b, strong { font-weight: bold; }

blockquote { margin: 1em 40px; }

dfn { font-style: italic; }

hr { display: block; height: 1px; border: 0; border-top: 1px solid #ccc; margin: 1em 0; padding: 0; }

ins { background: #ff9; color: #000; text-decoration: none; }

mark { background: #ff0; color: #000; font-style: italic; font-weight: bold; }

/* Redeclare monospace font family: en.wikipedia.org/wiki/User:Davidgothberg/Test59 */
pre, code, kbd, samp { font-family: monospace, monospace; _font-family: 'courier new', monospace; font-size: 1em; }

/* Improve readability of pre-formatted text in all browsers */
pre { white-space: pre; white-space: pre-wrap; word-wrap: break-word; }

q { quotes: none; }
q:before, q:after { content: ""; content: none; }

small { font-size: 85%; }

/* Position subscript and superscript content without affecting line-height: gist.github.com/413930 */
sub, sup { font-size: 75%; line-height: 0; position: relative; vertical-align: baseline; }
sup { top: -0.5em; }
sub { bottom: -0.25em; }


/* =============================================================================
   Lists
   ========================================================================== */

ul, ol { margin: 1em 0; padding: 0 0 0 40px; }
dd { margin: 0 0 0 40px; }
nav ul, nav ol { list-style: none; margin: 0; padding: 0; }


/* =============================================================================
   Embedded content
   ========================================================================== */

/*
 * Improve image quality when scaled in IE7
 * code.flickr.com/blog/2008/11/12/on-ui-quality-the-little-things-client-side-image-resizing/
 */

img { border: 0; -ms-interpolation-mode: bicubic; }

/*
 * Correct overflow displayed oddly in IE9 
 */

svg:not(:root) {
    overflow: hidden;
}


/* =============================================================================
   Figures
   ========================================================================== */

figure { margin: 0; }


/* =============================================================================
   Forms
   ========================================================================== */

form { margin: 0; }
fieldset { border: 0; margin: 0; padding: 0; }

/* 
 * 1. Correct color not inheriting in IE6/7/8/9 
 * 2. Correct alignment displayed oddly in IE6/7 
 */

legend { border: 0; *margin-left: -7px; padding: 0; }

/* Indicate that 'label' will shift focus to the associated form element */
label { cursor: pointer; }

/*
 * 1. Correct font-size not inheriting in all browsers
 * 2. Remove margins in FF3/4 S5 Chrome
 * 3. Define consistent vertical alignment display in all browsers
 */

button, input, select, textarea { font-size: 100%; margin: 0; vertical-align: baseline; *vertical-align: middle; }

/*
 * 1. Define line-height as normal to match FF3/4 (set using !important in the UA stylesheet)
 * 2. Correct inner spacing displayed oddly in IE6/7
 */

button, input { line-height: normal; *overflow: visible; }

/*
 * 1. Display hand cursor for clickable form elements
 * 2. Allow styling of clickable form elements in iOS
 */

button, input[type="button"], input[type="reset"], input[type="submit"] { cursor: pointer; -webkit-appearance: button; }

/*
 * Consistent box sizing and appearance
 */

input[type="checkbox"], input[type="radio"] { box-sizing: border-box; }
input[type="search"] { -moz-box-sizing: content-box; -webkit-box-sizing: content-box; box-sizing: content-box; }

/* 
 * Remove inner padding and border in FF3/4
 * www.sitepen.com/blog/2008/05/14/the-devils-in-the-details-fixing-dojos-toolbar-buttons/ 
 */

button::-moz-focus-inner, input::-moz-focus-inner { border: 0; padding: 0; }

/* Remove default vertical scrollbar in IE6/7/8/9 */
textarea { overflow: auto; vertical-align: top; }

/* Colors for form validity */
input:valid, textarea:valid {  }
input:invalid, textarea:invalid { background-color: #f0dddd; }


/* =============================================================================
   Tables
   ========================================================================== */

table { border-collapse: collapse; border-spacing: 0; }

/* =============================================================================
   Primary styles
   Author: 
   ========================================================================== */

#pagewrap {
    overflow: auto;
    width: 960px;
    border: 1px solid black;
    margin: auto;
    margin-top: 20px;
    padding: 50px;
}

header {
  background-color: maroon;
  color:#ffffff;
  height: 60px;
}

h1 {
    color:#F7DEB2;
    font-size: 3em;
    text-align: left;
    text-shadow: .2em .3em .10em black;  
    padding: 10px;
    font-family: 'Great Vibes', serif
}
section#subheader {
  background-color: #dac9b9;
  color: black;
  height: 270px;
  padding:10px;
}

/* TABLE OF PICTURE LINKS ON FIRST PAGE*/
table#firstpage {
    width:100%;
    margin-left: 0px;
}
table#firstpage, th, td {
    border: none;
    border-collapse: collapse;
}
table#firstpage th	{
    background-color: none;
    color: none;
}
th, td {
    padding: 6px;
    text-align: left;
}

/* START NAV MENU */

a.nav-link:link
{
   color: #F7DEB2;
   text-decoration: none;
}
a.nav-link:visited
{
   color: #F7DEB2;
   text-decoration: none;
}
a.nav-link:hover
{
   color: #F7DEB2;
   text-decoration: none;
}
a.nav-link:active
{
   color: #F7DEB2;
   text-decoration: none;
}

nav {
  background-color:#800000;
  height:40px;
}
header {
 display:block;
} 
 
nav ul {
  font-family: Arial, Verdana;
  font-size: 20px;
  margin: 0;
  padding: 0;
  list-style: none;
}
 
nav ul li {
  display: block;
  position: relative;
  float: left;
}
 
nav li ul { 
  display: none; 
}
 
nav ul li a {
  display: block;
  text-decoration: none;
  padding: 7px 15px 3px 15px;
  background: maroon;
  color: #ffffff;  
  margin-left: 1px;
  white-space: nowrap;
  height:30px; /* Width and height of top-level nav items */
  width:70px;
  text-align:center;
 
}
 
nav ul li a:hover { 
  background: #b26666; 
}
 
nav li:hover ul {
  display: block;
  position: absolute;
  height:30px;
}
 
nav li:hover li {
  float: none;
  font-size: 11px;
}
 
nav li:hover a { 
  background: #3A464F; 
  height:30px; /* Height of lower-level nav items is shorter than main level */
}
 
nav li:hover li a:hover { 
  background: #bf7f7f; 
}
 
nav ul li ul li a {
    text-align:left; /* Top-level items are centered, but nested list items are left-aligned */
}
/* END NAV MENU */ 

section#mainfirstpage {
  overflow: auto;
  background-color:#e5f2f2;
  width:940px;
  padding:10px;
  float:left; 
}
section#main {
  background-color:#e5f2f2;
  width:740px; 
  float:left; 
}

/* Calendar Styling */
#calendar {
  width: 130 px;
  height: 180px;
  background-color: #fbd9bc; /*purple #800080*/ /*gold #fbd9bc*/ /*green #00933B*/
  color: #ffffff;
  border-radius: 5%;
  box-shadow: 0 4p 4px 0 rgba(50, 50, 50, 0.4);
}

#calendar>p {
  font-family: Verdana, Arial, sans-serif;
  padding: 10px 0;
  margin: 0;
  color: #fff;
  text-align: center;
}

#calendar-day {
  font-size: 16px;
}
 
#calendar-month-year {
  font-size: 14px;
}

#calendar-date {
  font-size: 64px;
  padding-top: 10px;
  padding-bottom: 0;
}

aside {
  background-color:#7fbfbf;
  width:180px; 
  float:right; 
}
 
footer {
  background-color: maroon;
  color: #FFFFFF;
  height:120px;
  clear:both; 
}
footer a:link {
  color:#D8D8D8;
}

section#main, aside, footer {
  padding:10px;
}

/* BEGIN FOOTER STYLES */

footer p#about {
  width:300px;
  margin:20px 50px 0px 30px; /* Play with these to suit needs */
  float:left; /* Other elements in the footer will wrap to the right of this */
}

footer div#footerlist {
  float:right; /* Place this on the other side of the footer */
  padding-right:40px;
  margin-top:10px; /* Play with this */
}

footer div#footerlist ul  {
  padding-left:0px; /*Unindent the list so it lines up with the h3 above it. */
}

footer div#footerlist ul li {
  list-style-type:none; /* Remove default discs from list items. */
}

footer div#footerlist h3 {
  margin-top:0px;
}

footer p#footercopy {
  clear:both;
  text-align:center;
  font-size:0.9em; /* Slightly smaller text for copyright text. */
}

/* END FOOTER STYLES */